/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/

/*
 * Created on Mar 30, 2006
 *
 */
package gov.va.med.esr.common.model.report;

import java.util.Date;

import org.apache.commons.lang.builder.ToStringBuilder;

import gov.va.med.esr.common.model.lookup.Quarter;
import gov.va.med.esr.common.model.lookup.ReportPeriodType;
import gov.va.med.fw.model.AbstractEntity;

// Java classes

// Library classes

// Framework classes

// EDB Classes

/**
 * @author Yi He
 * @version 1.0
 */
public class ReportPeriod extends AbstractEntity {

	private static final long serialVersionUID = 8430259710810181131L;

    public ReportPeriod() {
		super();
	}

    public ReportPeriodType getType() {
    	return this.type;
    }
    
    public void setType(ReportPeriodType Type) {
    	this.type = Type;
    }
    
    public Quarter getQuarter() {
    	return this.quarter;
    }
    
    public void setQuarter(Quarter quarter) {
        this.quarter =	quarter;
    }
        
    public Integer getYear() {
    	return this.year;
    }
    
    public void setYear(Integer year) {
        this.year =	year;
    }
    
    public Date getFromDate() {
    	return this.fromDate;
    }
    
    public void setFromDate(Date fromDate) {
    	this.fromDate = fromDate;
    }
    

    public Date getToDate() {
    	return this.toDate;
    }
    
    public void setToDate(Date toDate) {
    	this.toDate = toDate;
    }
	
	protected void buildToString(ToStringBuilder builder) {
	}

	private Quarter quarter;

	private ReportPeriodType type;
	
	private Integer year;
	
	private Date fromDate;
	
	private Date toDate;	
}

